Bug 737037 - Can't Login via GDM
Summary: Can't Login via GDM
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 12:30 UTC by Onyeibo Oku
Modified: 2012-04-25 04:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 04:01:10 UTC


Attachments (Terms of Use)
log message from affected laptop (72.97 KB, text/x-log)
2011-09-09 12:30 UTC, Onyeibo Oku
no flags Details

Description Onyeibo Oku 2011-09-09 12:30:12 UTC
Created attachment 522323 [details]
log message from affected laptop

Description of problem:
After updating a freshly installed Fedora-15 (64bit) on an HP Compaq 610, I can't get past GDM greeter into the desktop environment. The login works from a fresh installation but fails after updating to the Repository snapshot (as of this date).  Instead I am greeted by an image of an unhappy Computer saying 'Sorry, something has gone wrong ....blah blah ... logout'.  

Version-Release number of selected component (if applicable):
gdm-3.0.4-1.fc15.x86_64
gdm-plugin-fingerprint-3.0.4-1.fc15.x86_64
pulseaudio-gdm-hooks-0.9.22-5.fc15.x86_64

How reproducible:
Did the installation followed by update -- twice.
Both times the behaviour was the same

Steps to Reproduce:
1.Install F15 from DVD or Live. 
2.Boot up Fedora
3.GDM Login should be Okay
4.Now run update to recent Repo snapshot (as of this date)
5.Reboot
6.GDM should crash ... showing an unhappy icon
  
Actual results:
After typing login Password, A black screen with an unhappy(sad) computer icon is displayed with an error message: Sorry, Something has gone wrong!

Expected results:
I expected to see the Gnome-Shell interface

Additional info:
This is Happening on a friend's HP Compaq 610 laptop.  It's strange because its the first to behave like this. See attached log file

Comment 1 Soeren Grunewald 2011-09-15 21:07:08 UTC
Same here, but on F16.

$ rpm -qa | grep gdm | sort
gdm-3.1.90-1.fc16.x86_64
pulseaudio-gdm-hooks-0.9.23-1.fc16.x86_64
$ rpm -qa | grep gnome | sort
desktop-backgrounds-gnome-16.0.0-1.fc16.noarch
gnome-backgrounds-3.1.91-1.fc16.noarch
gnome-bluetooth-3.1.4-3.fc16.x86_64
gnome-bluetooth-libs-3.1.4-3.fc16.x86_64
gnome-contacts-0.1.4.1-1.fc16.x86_64
gnome-desktop-2.32.0-8.fc16.x86_64
gnome-desktop3-3.1.91-3.fc16.x86_64
gnome-disk-utility-3.0.2-3.fc16.x86_64
gnome-disk-utility-libs-3.0.2-3.fc16.x86_64
gnome-disk-utility-nautilus-3.0.2-3.fc16.x86_64
gnome-disk-utility-ui-libs-3.0.2-3.fc16.x86_64
gnome-documents-0.1.91-1.fc16.x86_64
gnome-dvb-daemon-0.2.3-1.fc16.x86_64
gnome-icon-theme-3.1.90-1.fc16.noarch
gnome-icon-theme-extras-3.0.0-2.fc16.noarch
gnome-icon-theme-legacy-3.1.90-1.fc16.noarch
gnome-icon-theme-symbolic-3.1.90-1.fc16.noarch
gnome-js-common-0.1.2-4.fc15.noarch
gnome-keyring-3.1.91-1.fc16.x86_64
gnome-keyring-pam-3.1.91-1.fc16.x86_64
gnome-media-2.91.2-6.fc16.x86_64
gnome-menus-3.1.90-1.fc16.x86_64
gnome-online-accounts-3.1.90-1.fc16.x86_64
gnome-packagekit-3.1.3-2.fc16.x86_64
gnome-panel-3.1.91-3.fc16.x86_64
gnome-panel-libs-3.1.91-3.fc16.x86_64
gnome-power-manager-3.1.3-1.fc16.x86_64
gnome-python2-2.28.1-4.fc15.x86_64
gnome-python2-gconf-2.28.1-4.fc15.x86_64
gnome-python2-libwnck-2.32.0-5.fc16.x86_64
gnome-screensaver-3.1.91-1.fc16.x86_64
gnome-session-3.1.91-3.fc16.x86_64
gnome-session-xsession-3.1.91-3.fc16.x86_64
gnome-settings-daemon-3.1.91-1.fc16.x86_64
gnome-shell-3.1.91-2.fc16.x86_64
gnome-shell-extension-common-3.1.91-1.fc16.noarch
gnome-shell-extension-places-menu-3.1.91-1.fc16.noarch
gnome-shell-extension-remove-accessibility-icon-20110603-1.fc16.noarch
gnome-shell-extension-remove-bluetooth-icon-0.1-1.fc16.noarch
gnome-shell-extension-systemMonitor-3.1.91-1.fc16.noarch
gnome-shell-extension-theme-selector-0.9-3.fc16.noarch
gnome-shell-extension-user-theme-3.1.91-1.fc16.noarch
gnome-shell-extension-workspacesmenu-0-1.fc16.noarch
gnome-shell-theme-atolm-1.0-1.fc16.noarch
gnome-shell-theme-dark-glass-1.0-1.fc16.noarch
gnome-shell-theme-gaia-1.0-1.fc16.noarch
gnome-shell-theme-orta-1.0-1.fc16.noarch
gnome-shell-theme-smooth-inset-1.0-1.fc16.noarch
gnome-system-monitor-3.1.90-1.fc16.x86_64
gnome-terminal-3.0.1-1.fc16.x86_64
gnome-themes-2.32.0-6.fc16.noarch
gnome-themes-standard-3.1.91-1.fc16.x86_64
gnome-tweak-tool-3.1.90-1.fc16.noarch
gnome-utils-3.1.90-1.fc16.x86_64
gnome-utils-libs-3.1.90-1.fc16.x86_64
gnome-vfs2-2.24.4-6.fc16.x86_64
gnome-video-effects-0.3.0-1.fc15.noarch
imsettings-gnome-1.2.5-1.fc16.x86_64
libgnomekbd-3.1.90-1.fc16.x86_64
libgnome-keyring-3.1.90-1.fc16.x86_64
NetworkManager-gnome-0.9.0-2.fc16.x86_64
polkit-gnome-0.102-1.fc16.x86_64
verne-backgrounds-gnome-15.92.1-1.fc16.noarch

Note:
I have resored my user account from previous installation.
$ id
uid=500(soeren.grunewald) gid=500(soeren.grunewald) groups=500(soeren.grunewald) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023

Deleting all old gnome files like .config, .gconf .gnome2 etc. from /home/soeren.grunewald didn't help.

Then i created a new user, and i was able to login.
uid=1000(soerengrunewald) gid=1000(soerengrunewald) groups=1000(soerengrunewald) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023

Comment 2 Skippy 2011-11-10 22:13:56 UTC
See also Bug 741075.

Comment 3 Adam Williamson 2011-11-10 23:14:25 UTC
soeren: when you say 'same here' i suspect it's not 'same here', didn't you just see the bug that users with a UID below 1000 do not show up in the user list? that's not the 'same thing' at all, it's just a change in F16 whereby userids below 1000 are reserved for system users (used to be below 500).

onyeibo: do you still have a problem with this?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Onyeibo Oku 2011-12-02 17:36:06 UTC
(In reply to comment #3)
> onyeibo: do you still have a problem with this?
> 

Nah! Working sweetly here in F16, and I think I figured out this bug later on for F15.   It was something to do with incompatible gnome-shell version.  Apparently the update did not pull matching dependencies.


Note You need to log in before you can comment on or make changes to this bug.